<?
sapp_include_once('common.php');

function form_handler()
{
	$valid = true;

	$admin_name = sapp_get_submit_value('admin_name');
	if (!check_sys_login($admin_name)) {
		sapp_set_wrong('admin_name', msg('invalid_value'));
		$valid = false;
	}
	
	sapp_set_param('admin_name', $admin_name);
	$admin_email = sapp_get_submit_value('admin_email');
	if (!check_email($admin_email)) {
		sapp_set_wrong('admin_email', msg('invalid_value'));
		$valid = false;
	}
	
	sapp_set_param('admin_email', $admin_email);
	

	$admin_fullname = sapp_get_submit_value('admin_fullname');
	sapp_set_param('admin_fullname', $admin_fullname);
	
	$admin_fax = sapp_get_submit_value('admin_fax');
	sapp_set_param('admin_fax', $admin_fax);

	//check admin password
	$admin_passwd = sapp_get_submit_value('admin_passwd');
	$admin_confirm = sapp_get_submit_value('admin_confirm');
	if ('' == $admin_passwd) {
		if (!sapp_get_param('admin_passwd')) {
			sapp_set_wrong('admin_passwd', msg('password__empty'));
			$valid = false;
		} else {
			$admin_passwd = sapp_get_param('admin_passwd');
		}
	} elseif ($admin_passwd != $admin_confirm) {
		sapp_set_wrong('admin_passwd', msg('password__not_match'));
		sapp_set_wrong('admin_confirm', msg('password__not_match'));
		$valid = false;
	} else {
		sapp_set_param('admin_passwd', $admin_passwd);
	}
	
	if (!$valid) {
		sapp_set_warning(msg('invalid_values'));
		return 1;
	}

	return 2;
}
?>
