<?php
function get_msgs() {
	$msgs = array();
	foreach (glob(sapp_include_path() . 'locale.*.php') AS $locale_filepath)
		include_once($locale_filepath);
	return $msgs;
}

function msg($name, $locale = null)
{
	static $msgs;
	static $def_locale;

	if (!isset($msgs))
		$msgs = get_msgs();

	if (!isset($def_locale))
		$def_locale = $msgs['default'];

	if (null == $locale)
		$locale = sapp_get_locale();

	if (!isset($msgs[$locale]))
		$locale = $def_locale;

	if (isset($msgs[$locale][$name]))
		return $msgs[$locale][$name];
	elseif (isset($msgs[$def_locale][$name]))
		return $msgs[$def_locale][$name];
	else
		return $name;
}
?>